Bug 1804694 - ovirt-config.yaml not getting generated by openshift-install
Summary: ovirt-config.yaml not getting generated by openshift-install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.4.0
Assignee: Roy Golan
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On: 1804228
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 13:10 UTC by Roy Golan
Modified: 2020-11-05 06:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1804228
Environment:
Last Closed: 2020-05-04 11:37:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3152 0 None closed Bug 1804694: ovirt-config.yaml not getting generated by openshift-install 2021-02-16 18:42:53 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:38:06 UTC

Description Roy Golan 2020-02-19 13:10:01 UTC
+++ This bug was initially created as a clone of Bug #1804228 +++

Description of problem:

Running the openshift-install for ovirt provider doesn't generates the ovirt-config.yaml file. Had to manually create the file under 
/root/.ovirt/ovirt-config.yaml


Actual results:
File not generated, manual creation required

Expected results:
File is generated automatically after providing the parameters to installer

Additional info:

Comment 4 Jan Zmeskal 2020-02-28 08:17:00 UTC
Verified by running CLI survey installation (without ~/.ovirt directory existing) on this:

./openshift-install version
./openshift-install v4.4.0
built from commit e172a64692cfcb7d9ec37c2b80dfcecd46cd6d22
release image quay.io/openshift-release-dev/ocp-release-nightly@sha256:3847bc93c5447e31a610349034484e30b2377c8e33c015f1a0b87d349794eb75

Comment 5 Giuliano Quites 2020-03-14 02:54:27 UTC
[root@note001 ocp44] # ./openshift-install version
./openshift-install 4.4.0-0.nightly-2020-03-13-201209
built from commit e1b323fd7bbb57cabcbded74dad08483390f9a6c
release image quay.io/openshift-release-dev/ocp-release-nightly@sha256:ab761b5e2a84900840e1cbace4bb8a05215eb21fa1cddbdedd82036c352cba16


[root@note001 ocp44] # openshift-install create cluster --dir=gquites-ocp44-rhv
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to fetch dependency of "Bootstrap Ignition Config": failed to fetch dependency of "Master Machines": failed to generate asset "Platform Credentials Check": getting ovirt configuration: open /root/.ovirt/ovirt-config.yaml: no such file or directory

you need to create the .ovirt folder before running this command:

openshift-install create install-config --dir=gquites-ocp44-rhv

If you have done install-config. You need to remove all files from the cluster directory:

rm -rf install-config.yaml .openshift_install.log .openshift_install_state.json

Then run this command again:

1 openshift-install create install-config --dir=gquites-ocp44-rhv
2 openshift-install create cluster --dir=gquites-ocp44-rhv

That way it worked.

Comment 6 Jan Zmeskal 2020-03-16 14:41:30 UTC
Hi Giuliano,

today I did this and it worked for me. No middle step (creating install-config.yaml) was required:

[root@system-ge-4 ~]# rm -rf ~/.ovirt
[root@system-ge-4 ~]# ./openshift-install create cluster --dir=test-cluster
? SSH Public Key /root/.ssh/id_rsa.pub
? Platform ovirt
? Enter oVirt's api endpoint URL https://<engine_fqdn>/ovirt-engine/api
? Is the installed oVirt certificate trusted? No
? Enter ovirt-engine username admin@internal
? Enter password ******
? Select the oVirt cluster golden_env_mixed_1
? Select the oVirt storage domain nfs_0
? Select the oVirt network ovirtmgmt
? Enter the internal API Virtual IP 10.0.0.1
? Enter the internal DNS Virtual IP 10.0.0.2
? Enter the ingress IP  10.0.0.3
? Base Domain ocptest.org
? Cluster Name ocptest
? Pull Secret [? for help] **********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************
INFO Obtaining RHCOS image file from 'https://releases-art-rhcos.svc.ci.openshift.org/art/storage/releases/rhcos-4.4/44.81.202003110027-0/x86_64/rhcos-44.81.202003110027-0-openstack.x86_64.qcow2.gz?sha256=237b9e0af475bf318abbe8d83d5508c2c3d4cca96fdcdb16edace2cc062216d1' 
INFO The file was found in cache: /root/.cache/openshift-installer/image_cache/2158211434d46c0485882ed39e0ddc97. Reusing... 
INFO Creating infrastructure resources...

Please try the nightly build from March 16 or later.

Comment 8 errata-xmlrpc 2020-05-04 11:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.